Installing on Ubuntu 16.04.5 LTS server

Forum for questions and support relating to the 1.30.x releases only.
Post Reply
spynet
Posts: 10
Joined: Sun Sep 16, 2018 3:37 pm

Installing on Ubuntu 16.04.5 LTS server

Post by spynet » Sun Sep 16, 2018 3:44 pm

Hello,

I would like to install v1.30 on Ubuntu Server 16.04.5 LTS.

I followed the instructions in https://wiki.zoneminder.com/Ubuntu_Serv ... e_easy_way and added the ropository with add-apt-repository ppa:iconnor/zoneminder but apt-get still install the v1.29.

root@nuc:~# apt-cache policy zoneminder
zoneminder:
Installed: 1.29.0+dfsg-1ubuntu2
Candidate: 1.29.0+dfsg-1ubuntu2
Version table:
*** 1.29.0+dfsg-1ubuntu2 500
500 http://it.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
100 /var/lib/dpkg/status
root@nuc:~#

What's wrong?
Thank you.

bbunge
Posts: 2200
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Installing on Ubuntu 16.04.5 LTS server

Post by bbunge » Sun Sep 16, 2018 10:34 pm

1.30.4 was removed from the PPA when 1.32.0 was packaged.

You can download the 64 bit 1.30.4 packages from:

https://173.163.189.225/zoneminder_1.30 ... _amd64.deb
https://173.163.189.225/zoneminder-doc_ ... l1_all.deb

spynet
Posts: 10
Joined: Sun Sep 16, 2018 3:37 pm

Re: Installing on Ubuntu 16.04.5 LTS server

Post by spynet » Mon Sep 17, 2018 5:16 pm

The problem is that in the documented PPA there's no package at all.
Version 1.29 is the only package that I was able to find, but it is on the default Ubuntu repository.

I finally found that I have to use another PPA:
add-apt-repository ppa:iconnor/zoneminder-storageareas

add-apt-repository ppa:iconnor/zoneminder doesn't work at all!

Please update the documentation accordingly.

bbunge
Posts: 2200
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Installing on Ubuntu 16.04.5 LTS server

Post by bbunge » Mon Sep 17, 2018 5:51 pm

I gave you a link to download the install file. With that info you need to figure out how to install it from a local repository. And, the zoneminder-storageareas ppa is a development version and not for a production system!

Note: you can still install Zoneminder 1.30.4 on Bionic as it does not use a ppa repository

spynet
Posts: 10
Joined: Sun Sep 16, 2018 3:37 pm

Re: Installing on Ubuntu 16.04.5 LTS server

Post by spynet » Mon Sep 17, 2018 6:24 pm

Ok, but the question is: which is the 'correct' way to have it installed and ready to be updated any time?
Installing from local could be ok but won't update, as I know.
So, why the documented PPA isn't working? I'm absolutely not a Linux expert and can't figure out why.
Thanks for helping.

bbunge
Posts: 2200
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Installing on Ubuntu 16.04.5 LTS server

Post by bbunge » Mon Sep 17, 2018 6:50 pm

If you really want to install Zoneminder 1.30.4 on a 64 bit Ubuntu 16.04 LAMP system, use this script:

Create a file such as: nano install-zm and paste the contents into it
save the file
chmod 755 install-zm
run the file with ./install-zm


#!/bin/sh
clear
read -p "This script installs Zoneminder 1.30.4 on Ubuntu 16.04 AMD64 with LAMP (MySQL) installed. This uses install packages that were downloaded from the Zoneminder PPA...
Press Enter to continue or Ctrl + c to quit" nothing
clear
read -p "You must be logged in as root using sudo su ...
Press Enter to continue or Ctrl + c to quit" nothing
clear
read -p "Next we will download the Zoneminder install packages, configure MySQL and PHP and install the downloaded packages.
Press enter to continue" nothing
wget --no-check-certificate https://173.163.189.225/php-apcu-bc_1.0 ... _amd64.deb -P /tmp/
wget --no-check-certificate https://173.163.189.225/zoneminder-doc_ ... l1_all.deb -P /tmp/
wget --no-check-certificate https://173.163.189.225/zoneminder_1.30 ... _amd64.deb -P /tmp/
clear
awk '$0="date.timezone = "$0' /etc/timezone >> /etc/php/7.0/apache2/php.ini
echo "[mysqld]" >> /etc/mysql/my.cnf
echo "init_connect = 'SET @@sql_mode = CASE CURRENT_USER() WHEN \'zmuser@localhost\' THEN \'NO_ENGINE_SUBSTITUTION\' ELSE @@sql_mode END;'" >> /etc/mysql/my.cnf
systemctl restart mysql
apt-get -y install /tmp/php-apcu-bc_1.0.3-2xenial2_amd64.deb
apt-get -y install /tmp/zoneminder-doc_1.30.4-xenial1_all.deb
apt-get -y install /tmp/zoneminder_1.30.4-xenial1_amd64.deb
systemctl enable zoneminder
service zoneminder start
adduser www-data video
a2enmod cgi
a2enconf zoneminder
a2enmod rewrite
chown -R www-data:www-data /usr/share/zoneminder/
service apache2 reload
clear
read -p "Open Zoneminder in a web browser (http://server-ip/zm).
Click on Options - Paths and change PATH_ZMS to /zm/cgi-bin/nph-zms
Click the Save button.
Press enter to continue" nothing
clear

spynet
Posts: 10
Joined: Sun Sep 16, 2018 3:37 pm

Re: Installing on Ubuntu 16.04.5 LTS server

Post by spynet » Tue Sep 18, 2018 5:20 pm

Thanks a lot!

sagitt
Posts: 32
Joined: Mon Apr 30, 2012 1:13 pm

Re: Installing on Ubuntu 16.04.5 LTS server

Post by sagitt » Sun Sep 30, 2018 12:07 pm

why 1.30.4 was not restored on ppa?

stefp
Posts: 6
Joined: Fri Nov 29, 2013 12:59 pm

Re: Installing on Ubuntu 16.04.5 LTS server

Post by stefp » Fri Nov 02, 2018 10:47 am

Hi ,bbunge
Can you reupload the install files .I want to install 1.30.4 on a 64 bit Ubuntu 16.04 LTS ,but when try to install ,get a error.

ERROR 404: Not Found. (https://173.163.189.225/php-apcu-bc_1.0 ... _amd64.deb)


Thank you .

bbunge
Posts: 2200
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Installing on Ubuntu 16.04.5 LTS server

Post by bbunge » Sat Nov 03, 2018 1:39 am

stefp wrote:
Fri Nov 02, 2018 10:47 am
Hi ,bbunge
Can you reupload the install files .I want to install 1.30.4 on a 64 bit Ubuntu 16.04 LTS ,but when try to install ,get a error.

ERROR 404: Not Found. (https://173.163.189.225/php-apcu-bc_1.0 ... _amd64.deb)


Thank you .
Sorry, no.

If you want 1.30.4 it is on Ubuntu 18.10
https://wiki.zoneminder.com/Ubuntu_Serv ... der_1.30.4
Runs well on 18.10...

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests